{ config, pkgs, ... }:
{
  # https://wiki.nixos.org/w/index.php?title=Tor

  # `torsocks` is a wrapper to safely torify applications.
  # `torsocks` should be used instead of the older `torify`.
  # Example: torsocks ssh yodaNas

  services = {
    tor = {
      enable = true;
      # Disable GeoIP to prevent the Tor client from estimating the locations of Tor nodes it connects to.
      #enableGeoIP = false;
      # Enable Torsocks for transparent proxying of applications through Tor.
      torsocks.enable = true;
      client = {
        # Enable the Tor client.
        enable = true;
        # Enable DNS resolver.
        dns.enable = true;
      };
    };
  };
}
